Subject: Re: [avail for test] cvs-1.11.5-1
From: "Max Bowsher" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 26 Apr 2003 00:51:58 +0100

Charles Wilson wrote:
> Max Bowsher wrote:
>
>> Charles Wilson wrote:
>>
>>> USE AT YOUR OWN RISK.
>>>
>>> But I would appreciate testing and feedback.  This is an update to
>>> version 1.11.5 from 1.11.0; there have been lots of changes under the
>>> hood.  cvs-1.11.5 adds the rlog command, as well as a number of
>>> bugfixes.  AFAIK, the server mode is still broken.
>>
>> ....
>>
>>
>>> remote: crerepos
>>>         ERROR: cannot test remote CVS, because `rsh KHELDAR' fails.
>>>         when testing in remote mode, crerepos uses :ext: instead of
>>>         :fork:.  However, even though I had rshd running -- it was
>>>         running as SYSTEM -- which means password entry is required.
>>>         This test expects passwordless rsh.
>>
>>
>> This works if you set up passwordless ssh back to your own machine and
set
>> the envvars to point cvs at ssh rather than rsh.
>
> Right -- but "passwordless" ssh means that the sshd must be running as
> the user you want to log in as.  I was running sshd under SYSTEM...so no
> luck there.

Passphraseless pubkey auth works just fine with sshd as SYSTEM.

> But you note that this is NOT a cvs server -- it's really logging in to
> the "remote" machine via ssh and running cvs "on the 'server'".  cvs
> itself is not listening for incoming connections.

Oops... now I see how my snippage could have caused confusion. I just left
in the stuff at the top for basic context. I just wanted to say that the
remote crerepos test will pass if it has the right support. I wasn't
thinking about server mode.

----

Sorry about all this below:

>> Also, a couple of packaging points:
>>
>> - I don't think re-autotooling was necessary.
>>
>> - Your port notes in the README don't mention the change from gdbm to
>> flat-file.
>
> I did not change from gdbm to flat file -- at least not on purpose.  In
> fact, I added a lot of configury code to enable linkage to gdbm.  So
> your comment that "re autotooling was [not] necessary" is nonsense -- I
> modified configure.in and at least one Makefile.am -- of COURSE I had to
> reautotool.
>
>> So, this is basically stock 1.11.5, which I have been using for my
>> day-to-day cvs-ing for months.
>
> No, after removing the autotool detritus, the patch is still 27k, and
> touches the following files:
...
> It's definitely NOT stock, unless I screwed up.

It seems 'lsdiff' screwed up:

$ lsdiff cvs-1.11.5-1.patch
cvs-1.11.5/CYGWIN-PATCHES/cvs.README
cvs-1.11.5/CYGWIN-PATCHES/postinstall.sh
cvs-1.11.5/CYGWIN-PATCHES/setup.hint
cvs-1.11.5/Makefile.in
cvs-1.11.5/aclocal.m4
cvs-1.11.5/config.h.in
cvs-1.11.5/configure
$

Whereas fgrep '+++' shows the truth.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/